XWD(1)

NAZWA
xwd - zrzuć obraz okna X

SKŁADNIA
xwd [-debug] [-help] [-nobdrs] [-out plik] [-xy] [-frame] [-add wartość] [-root | -id id | -name nazwa ] [-icmap] [-screen] [-display wyświetlacz]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Xwd to narzędzie do zrzucania zawartości okien X Window System. Xwd umożliwia użytkownikom X zapisywanie obrazów okien w specjalnie sformatowanych plikach zrzutu. Plik ten może być potem odczytywany przez różne X-narzędzia w celu ponownego wyświetlenia, drukowania, edycji, formatowania, itp. Okno docelowe jest wybierane przez kliknięcie na nim wskaźnikiem myszy. Na początku zrzucania włączany jest dzwonek klawiatury, a po jego zakończeniu, dzwonek dzwoni dwukrotnie.

OPCJE

-display wyświetlacz
    Argument ten umożliwia określenie, do którego serwera się podłączyć; zobacz X(1).

-help
    Wydrukuj informacje o użyciu.

-nobdrs
    Argument en mówi, że zrzut okna nie powinien zawierać pikseli, składających się na jego obramowanie. Jest to przydatne w sytuacjach, kiedy życzysz sobie włączenie zawartości okna do dokumentu jako ilustrację.

-out plik
    Ten argument umożliwia użytkownikowi podanie pliku wyjściowego zrzutu. Domyślnym punktem zrzutu jest standardowe wyjście.

-xy Ta opcja tyczy się tylko kolorowych wyświetlaczy. Wybiera format `XY' zrzucania, zamiast domyślnego `Z'.

-add wartość
    Ta opcja określa wartość ze znakiem, która będzie dodawana do każdego piksela.

-frame
    Ta opcja wskazuje, że podczas ręcznego wybierania okna, ramka menedżera okien powinna być załączona.

-root
    Ta opcja wskazuje, że do zrzutu powinno zostać wybrane okno główne, bez wymagania od użytkownika wybrania okna wskaźnikiem.

-id id
    Ta opcja wskazuje, że okno o podanym identyfikatorze zasobu powinno być wybrane do zrzutu, bez oczekiwania od użytkownika wybrania go wskaźnikiem.

-name nazwa
    Ta opcja wskazuje, że okno o podanej właściwości WM_NAME powinno być wybrane do zrzutu, bez oczekiwania od użytkownika wybrania okna wskaźnikiem.

-icmap
    Normalnie mapa kolorów wybranego okna używana jest do uzyskania wartości RGB. Ta opcja wymusza zamiast tego użycie zainstalowanej mapy kolorów ekranu.

-screen
    Ta opcja wskazuje, że żądanie GetImage, użyte do uzyskania obrazu powinno być wykonane na raczej oknie głównym niż bezpośrednio na określonym oknie. W ten sposób możesz uzyskać kawałki innych okien, które zakrywają podane okno, a co ważniejsze, możesz złapać menu i inne elementy, które sa niezależne od okien, lecz istnieją na podanym oknie.

-silent
    Działaj cicho, tj. nie dzwoń dzwonkami podczas pracy.

ŚRODOWISKO

DISPLAY
    Dla uzyskania domyślnego hosta i numeru wyświetlacza.

PLIKI

XWDFile.h
    Plik definicji formatu X Window Dump File.

ZOBACZ TAKŻE
xwud(1), xpr(1), X(1)

AUTORZY
Tony Della Fera, Digital Equipment Corp., MIT Project Athena
William F. Wyatt, Smithsonian Astrophysical Observatory

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 xwd

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.